Subject: Re: bug#21843: Generated grub.cfg does not support encrypted roots

From: Andreas Enge <[email-masked]>
Date: Thu, 17 Mar 2016 14:14:35 +0100

On Wed, Mar 16, 2016 at 09:40:00PM +0100, Andreas Enge wrote:
> I just read a bit of the cryptsetup manual; we do not need to do the
> resolution, in the above example we would have the line
>    cryptomount -u cb67fc72-0d54-4c88-9d4b-b225f30b0f44
> (as discussed previously; it works at least without the dashes, we can also
> try to keep the dashes).
> And then it should be possible to open the device with
>    cryptsetup luksOpen UUID=cb67fc72-0d54-4c88-9d4b-b225f30b0f44 root
> This looks for the given uuid in /dev/disk/by-uuid.
> 
> I wanted to give it a try with the installation image, but unfortunately it
> does not contain the directory /dev/disk.

I tried it out with an already installed (and reconfigured, but that should
not make a difference) GuixSD, and the above "cryptsetup" line works as well
(with the dashes).

Andreas